Bug 989765 - alternatives error for jboss-as-7.1.0.Final when yum updating ex-nodes in INT
alternatives error for jboss-as-7.1.0.Final when yum updating ex-nodes in INT
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 17:02 EDT by Thomas Wiest
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2013-07-29 17:02:44 EDT
Description of problem:

During the 1st deploy to the ex-nodes in INT, I got these errors during the yum update:

error reading information on service openshift-cgroups: No such file or
directory
...
/opt/jboss-as-7.1.0.Final has not been configured as an alternative for
jbossas-7
...
the primary link for switchyard-0 must be /etc/alternatives/switchyard-0
warning:
%post(openshift-origin-cartridge-switchyard-0.5.1-1.el6oso.noarch)
scriptlet failed, exit status 2



The 2nd deploy to the ex-nodes in INT, I just got this one error:
/opt/jboss-as-7.1.0.Final has not been configured as an alternative for
jbossas-7


Here's the full transaction log for the yum update of the 2nd deploy to INT:
Running Transaction
   Updating   :
rubygem-openshift-origin-node-1.12.3-1.el6oso.noarch        1/22
warning: /var/lib/openshift/.httpd.d/nodes.db created as
/var/lib/openshift/.httpd.d/nodes.db.rpmnew
Stopping crond: [  OK  ]
Starting crond: [  OK  ]
   Updating   :
openshift-origin-node-util-1.12.3-1.el6oso.noarch           2/22
   Updating   :
openshift-origin-cartridge-jbosseap-2.6.3-1.el6oso.noarc    3/22
   Updating   :
openshift-origin-cartridge-haproxy-0.7.3-1.el6oso.noarch    4/22
   Updating   :
openshift-origin-cartridge-jenkins-1.12.2-1.el6oso.noarc    5/22
Shutting down Jenkins [FAILED]
   Updating   :
openshift-origin-cartridge-ruby-0.7.3-1.el6oso.noarch       6/22
   Updating   :
openshift-origin-cartridge-python-0.7.3-1.el6oso.noarch     7/22
   Updating   :
openshift-origin-cartridge-postgresql-0.5.3-1.el6oso.noa    8/22
   Updating   :
openshift-origin-cartridge-jbossas-1.5.3-1.el6oso.noarch    9/22
/opt/jboss-as-7.1.0.Final has not been configured as an alternative for
jbossas-7
   Updating   :
openshift-origin-msg-node-mcollective-1.12.3-1.el6oso.no   10/22
   Updating   :
rubygem-openshift-origin-container-selinux-0.1.3-1.el6os   11/22
   Cleanup    :
openshift-origin-cartridge-jbossas-1.5.2-1.el6oso.noarch   12/22
   Cleanup    :
openshift-origin-cartridge-postgresql-0.5.2-1.el6oso.noa   13/22
   Cleanup    :
openshift-origin-cartridge-python-0.7.2-1.el6oso.noarch    14/22
   Cleanup    :
openshift-origin-cartridge-ruby-0.7.2-1.el6oso.noarch      15/22
   Cleanup    :
openshift-origin-cartridge-jenkins-1.12.1-1.el6oso.noarc   16/22
   Cleanup    :
openshift-origin-cartridge-haproxy-0.7.2-1.el6oso.noarch   17/22
   Cleanup    :
openshift-origin-cartridge-jbosseap-2.6.2-1.el6oso.noarc   18/22
   Cleanup    :
openshift-origin-node-util-1.12.2-1.el6oso.noarch          19/22
   Cleanup    :
rubygem-openshift-origin-container-selinux-0.1.2-1.el6os   20/22
   Cleanup    :
openshift-origin-msg-node-mcollective-1.12.2-1.el6oso.no   21/22
   Cleanup    :
rubygem-openshift-origin-node-1.12.2-1.el6oso.noarch       22/22
[...snip...]



Version-Release number of selected component (if applicable):



How reproducible:
So far I've gotten errors during the first 2 deploys to INT, so farily reproducible.


Steps to Reproduce:
1. Unknown


Actual results:
The errors above


Expected results:
no errors
Comment 1 Thomas Wiest 2013-07-29 17:46:14 EDT
We got this error on the 3rd deploy to INT as well:
/opt/jboss-as-7.1.0.Final has not been configured as an alternative for
jbossas-7
Comment 2 Jason DeTiberus 2013-07-30 12:03:16 EDT
https://github.com/openshift/origin-server/pull/3220
Comment 3 openshift-github-bot 2013-07-30 16:03:07 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/adcdc606009fc0cb5802509f991844117f97e6cb
Bug 989765 - Fix output when old jboss not present in alternatives

https://bugzilla.redhat.com/show_bug.cgi?id=989765

alternatives --remove sends output to stderr if the requested
alternative to be removed doesn't exist.  Test for existence of
alternative before trying to remove it.

Also, if uninstall, cleanup the jbossas-7 alternative
Comment 4 Jianwei Hou 2013-07-31 05:22:09 EDT
Verified this when upgrading to devenv_3588, the message is not seen, mark as verified.

....................
 openshift-origin-cartridge-haproxy
                          noarch 0.7.5-1.git.0.8f32ff8.el6   devenv-local  28 k
 openshift-origin-cartridge-jbossas
                          noarch 1.5.4-1.git.75.0c758cc.el6  devenv-local  50 k
 openshift-origin-cartridge-jbosseap
                          noarch 2.6.4-1.git.59.d7dff33.el6  devenv-local  53 k

...................

Note You need to log in before you can comment on or make changes to this bug.